package com.emsi.tp1biir71;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.List;

public class EtabAdapter extends ArrayAdapter<Etab> {
    LayoutInflater inf;
    public EtabAdapter(@NonNull Context context, int resource, @NonNull List<Etab> objects) {
        super(context, resource, objects);
        inf=LayoutInflater.from(context);
    }

    @NonNull
    @Override
    public View getView(int i, @Nullable View convertView, @NonNull ViewGroup parent) {
        Log.d("EtabAdapter",i+" "+convertView);
        if(convertView==null){
            convertView=inf.inflate(R.layout.my_etab_item,null);
        }
        Etab etab=getItem(i);
        if(etab!=null){
            TextView nom=convertView.findViewById(R.id.etabNom);
            nom.setText(etab.getNom());
            TextView adresse=convertView.findViewById(R.id.etabAdresse);
            adresse.setText(etab.getAdresse());
            ImageView icon=convertView.findViewById(R.id.etabIcon);
            switch (etab.getType()){
                case "ingenierie":
                    icon.setImageResource(R.drawable.ingenierie);
                    break;
                case "science_technique":
                    icon.setImageResource(R.drawable.science_tech);
                    break;
                case "droit_eco":
                    icon.setImageResource(R.drawable.droit_eco);
                    break;
                default:
                    break;
            }
        }
        return convertView;
    }
}
