package com.emsi.tp1biir71;

import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    private ArrayList<Etab> etablissements= new ArrayList<>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        EditText nom = findViewById(R.id.nom);
        EditText adresse = findViewById(R.id.adresse);
        EditText affichage = findViewById(R.id.affichage);
        Button afficher = findViewById(R.id.afficher);
        RadioGroup rg=findViewById(R.id.groupe);
        RadioButton rb= findViewById(rg.getCheckedRadioButtonId());
        afficher.setOnClickListener(new View.OnClickListener(){
            @Override
            public void onClick(View v) {
                affichage.setText("le nom de l\'etablissement est"
                                +"  "+nom.getText().toString()+"\n"
                                +"L\'adresse saisie est"+" "+adresse.getText().toString());
                MyDB db=MyDB.getInstance(MainActivity.this);
                Etab etab=new Etab(nom.getText().toString(),
                        adresse.getText().toString(),
                        rb.getText().toString());
                db.addEtab(etab);
                etablissements.add(etab);
            }
        });
        nom.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {}

            @Override
            public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {}

            @Override
            public void afterTextChanged(Editable editable) {
                Toast.makeText(MainActivity.this, "Le nom a changé: "+nom.getText(), Toast.LENGTH_SHORT).show();
            }
        });
        Intent intent = getIntent();
        User user = (User) intent.getSerializableExtra("user");
        TextView labelTitle = findViewById(R.id.labelTitle);
        labelTitle.setText("Bienvenue "+user.getNom()+" "+user.getPrenom());
        ListView listeEtab = findViewById(R.id.listeEtab);
        etablissements=MyDB.getInstance(this).getAllEtab();
        EtabAdapter adapter = new EtabAdapter(this, R.layout.my_etab_item, etablissements);
        listeEtab.setAdapter(adapter);
    }
}